.tab-content {
  border: none;
}

input[readonly] {
  background-color: #f8f9fa !important;
}

.font-small {
  font-size: 13px !important;
}

.pdfModal .modal-content {
  height: 90vh !important;
}

.pdfModal .modal-body {
  height: 100% !important;
}

#pdf-content {
  height: 100%;
}

/*
icheck customization/override
*/
[class*=icheck-] > input:first-child + input[type=hidden] + label::before, [class*=icheck-] > input:first-child + label::before {
  border: 2px solid #467fd0;
}

.icheck-primary[class*=icheck-] > label {
  padding-left: 22px !important;
  line-height: 18px;
  font-size: 0.9em;
}

.icheck-primary[class*=icheck-] > input:first-child + input[type=hidden] + label::before, .icheck-primary[class*=icheck-] > input:first-child + label::before {
  width: 18px;
  height: 18px;
  border-radius: 5px;
  margin-left: -22px;
}

.icheck-primary[class*=icheck-] > input:first-child:checked + input[type=hidden] + label::after,
.icheck-primary[class*=icheck-] > input:first-child:checked + label::after {
  top: 0px;
  width: 4px;
  height: 8px;
  left: 0px;
}

.dropdown-menu {
  padding: 0px;
}

/* custom.css */
.input-group-text {
  display: flex;
  align-items: center;
  padding: 0.215rem 0.8rem;
  margin-bottom: 0;
  font-size: 0.9rem;
  font-weight: 400;
  line-height: 1.25;
  color: #2b79c1;
  text-align: center;
  white-space: nowrap;
  background-color: #f0f3f9;
  border: 1px solid #e4e7ea;
  border-radius: 0.25rem;
}

span.select2.is-invalid {
  border: 1px solid red;
  border-radius: 5px;
}

.btn-primary,
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  color: #fff;
  background-color: #467fcf;
  border-color: #467fcf;
}

.btn {
  border: 1px solid transparent;
  padding: 0.215rem 0.5rem;
  font-size: 0.9rem;
  margin-top: 3px;
  /* line-height: 1.5; */
}

.navbar-toggler {
  padding: 0.25rem 0.75rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  color: white;
}

.navbar-nav {
  display: contents;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}

.btn-group-sm > .btn, .btn-sm {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  line-height: 1.2;
  border-radius: 0.2rem;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #0d67ec;
  background-color: #fefefe;
  border: 1px solid rgba(84, 138, 223, 0.568627451);
}

.nav-pills .nav-link {
  border-radius: 0.25rem;
  background-color: #d7dce4;
  margin-right: 3px;
}

.btn-success {
  background-color: #067a52;
}

.edit-btn {
  margin-left: 2px;
  padding: 0px 2px 0px 3px;
  border-radius: 4px;
  font-size: 16px;
}

.patient-edit-btn {
  padding: 0px 0px 0px 2px;
  border-radius: 4px;
  font-size: 12px;
}

.show-btn {
  margin-left: 2px;
  padding: 0px 2px 0px 3px;
  border-radius: 4px;
  font-size: 16px;
  border: 1px solid #055d78;
  background-color: #055d78;
}

.back-btn {
  background-color: grey;
  color: white;
  border-radius: 4px;
  padding: 1px 7px 1px 2px;
  font-size: 14px;
  transition: transform 0.2s;
}

.back-btn:hover {
  text-decoration: none;
  color: white;
  font-weight: bold;
  font-size: 15px;
}

.hmis-text-small {
  font-size: 0.7rem;
}

.delete-btn, .editor_remove {
  margin-left: 2px;
  padding: 0px 2px 0px 2px;
  border-radius: 4px;
  font-size: 16px;
  font-weight: bold;
}

.nav-tabs {
  border-bottom: none;
}

.dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_length select,
.form-control {
  display: block;
  width: 100%;
  /* height: 2.15rem;
  padding: .075rem .75rem; */
  height: 1.85rem;
  padding: 0.1rem 0.75rem;
  font-size: 0.9375rem;
  font-weight: 400;
  line-height: 1.6;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 40, 100, 0.12);
  border-radius: 3px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.btn-warning {
  color: #ffffff;
  background-color: #ffc107;
  border-color: #ffc107;
}

.form-center {
  display: flex;
  flex-flow: column;
  /* flex-direction: column; */
  align-items: center;
}

/* css for sidebar*/
.sidebar nav {
  background-color: #222d32;
}

.sidebar .nav-item.open .nav-link.active {
  color: orange !important;
  font-weight: bold;
}

.sidebar .nav-item.open .nav-link.active .nav-icon {
  color: orange !important;
  font-weight: bold;
}

.sidebar .nav-item .nav-link:hover {
  color: orange !important;
}

.sidebar a.nav-link {
  color: white !important;
  padding-top: 6px;
  padding-bottom: 6px;
  padding-right: 2px;
}

.sidebar .nav-dropdown-toggle a.nav-link:hover {
  color: orange !important;
}

.sidebar .nav-dropdown.open .nav-link.active {
  color: orange !important;
  font-weight: bold;
}

.sidebar .nav-dropdown.open .nav-link.active .nav-icon {
  color: orange !important;
  font-weight: bold;
}

.sidebar .nav-dropdown.open .nav-link:hover {
  color: orange !important;
}

.sidebar .nav-dropdown.open .nav-link:hover .nav-icon {
  color: orange !important;
  font-weight: bold;
}

.sidebar .nav-dropdown.open .nav-dropdown-toggle {
  color: black !important;
  background-color: lightgreen;
}

.sidebar a.nav-link.nav-dropdown-toggle:hover {
  color: orange !important;
}

.sidebar .nav-dropdown-toggle {
  font-weight: bold;
}

.sidebar .sidebar-nav, .sidebar .sidebar-scroll, .sidebar .nav {
  width: 230px;
}

/* css for current focus element */
.dataTables_wrapper .dataTables_filter input:focus,
.dataTables_wrapper .dataTables_length select:focus,
.form-control:focus,
.select2-container.select2-container--bootstrap:focus,
.select2-container--bootstrap .select2-search--dropdown .select2-search__field:focus {
  background-color: #def9be;
  box-shadow: 0 0 0 3px rgba(70, 127, 207, 0.88);
}

.radio-inline input[type=radio]:focus,
.checkbox input:focus,
.form-check input:focus {
  box-shadow: 0 0 0 6px rgba(75, 230, 139, 0.88);
}

.select2-search__field:focus,
.select2-selection.select2-selection--multiple:focus,
.select2-selection.select2-selection--single:focus {
  background-color: #def9be;
  box-shadow: 0 0 0 3px rgba(70, 127, 207, 0.88) !important;
}

/* DataTable related customization */
.dataTables_scrollFoot, .DTFC_RightFootWrapper {
  display: none;
}

.DTFC_RightBodyLiner td {
  vertical-align: middle;
}

.DTFC_RightBodyLiner {
  overflow-y: hidden !important;
  overflow-x: hidden !important;
}

.DTFC_RightBodyLiner {
  left: -12px;
}

td p {
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
}

.table th {
  /* padding: 0.4rem !important; */
  border-top: none;
  background-color: #c8ced3;
}

.table td {
  padding-top: 0.15rem !important;
  padding-bottom: 0.15rem !important;
  border-top: none;
}

/* form controls */
.form-control.amount-field {
  max-width: 150px;
}

textarea[readonly] {
  background-color: #e2e2e2 !important;
}

legend {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: 2px;
  margin-bottom: -5px;
  margin-top: 15px;
  font-size: 1.3rem;
  line-height: inherit;
  color: #9C27B0;
  background-color: #c4d8e2;
}

.empty-group {
  margin-bottom: 0;
}

.form-group {
  margin-bottom: 0.45rem;
}

/*** Patient Observation Page ***/
.today-date {
  margin: 10px 30px 0px 0px;
  text-align: right;
  font-size: 17px;
  font-weight: 600;
}

.top-navigation {
  margin: 10px 0 0 20px;
}

table {
  width: 100%;
  font-size: 15px;
  font-weight: 600;
}

table tr td {
  padding: 7px;
}

#appointment {
  margin-top: 10px;
}

.data {
  padding: 20px;
}

hr.hr-line {
  border: 2px solid lightgray;
}

.nav-pills a.nav-link {
  color: black;
  background-color: lightgray;
  margin: 1px;
}

.nav-pills a.nav-link.active {
  font-weight: bold;
  border: 1px solid #0d67ec;
}

.nav-pills a.nav-link:hover {
  font-weight: bold;
  color: blue;
  background-color: white;
}

.tab-content {
  min-height: 100px;
}

.vital-form {
  margin: 20px;
  border: 1px solid lightgray;
}

/* Hide  arrows from input type=numbers Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
  text-align: center;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
  text-align: center;
}

/** -------------------- **/
.form-row .form-group {
  margin-right: 10px;
  padding-top: 5px;
}

.form-group > label {
  font-weight: bold;
}

.billing_total td {
  width: 75%;
}

._required:after {
  content: " *";
  color: red;
  font-weight: bold;
}

label.error {
  color: red;
}

input.error, select.error {
  border: 1px dotted red !important;
  border-radius: 2px;
}

/****** Report CSS ******/
table.reports th {
  background: #e1e1e1;
  font-size: 12px !important;
}

table.reports input.form-control {
  padding: 1px;
  font-size: 0.7rem;
}

table.reports th.bg-danger, table.reports th.bg-danger {
  background-color: #ffaf92 !important;
  color: #000;
}

.verticaltext_content {
  -webkit-transform: rotate(-90deg);
  -moz-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  -o-transform: rotate(-90deg);
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);
  left: -40px;
  top: 35px;
  position: absolute;
  font-weight: bold;
}

.app-header {
  height: 75px !important;
}
